Index: trunk/sources/HeuristicLab.CEDMA.Server/3.3/ExecuterBase.cs
===================================================================
--- trunk/sources/HeuristicLab.CEDMA.Server/3.3/ExecuterBase.cs	(revision 2223)
+++ trunk/sources/HeuristicLab.CEDMA.Server/3.3/ExecuterBase.cs	(revision 2238)
@@ -45,5 +45,5 @@
     protected IDispatcher Dispatcher {
       get { return dispatcher; }
-    }    
+    }
     private IModelingDatabase databaseService;
 
@@ -84,48 +84,4 @@
     protected void StoreResults(HeuristicLab.Modeling.IAlgorithm finishedAlgorithm) {
       databaseService.Persist(finishedAlgorithm);
-      //Entity modelEntity = new Entity(Ontology.CedmaNameSpace + Guid.NewGuid());
-      //IModel model = finishedAlgorithm.Model;
-      //List<Statement> statements = new List<Statement>();
-      //statements.Add(new Statement(modelEntity, Ontology.InstanceOf, Ontology.TypeModel));
-      //statements.Add(new Statement(modelEntity, Ontology.TargetVariable, new Literal(model.TargetVariable)));
-      //statements.Add(new Statement(modelEntity, Ontology.Name, new Literal(finishedAlgorithm.Name)));
-      
-      //statements.Add(new Statement(modelEntity, Ontology.TrainingMeanSquaredError, new Literal(model.TrainingMeanSquaredError)));
-      //statements.Add(new Statement(modelEntity, Ontology.ValidationMeanSquaredError, new Literal(model.ValidationMeanSquaredError)));
-      //statements.Add(new Statement(modelEntity, Ontology.TestMeanSquaredError, new Literal(model.TestMeanSquaredError)));
-      //statements.Add(new Statement(modelEntity, Ontology.TrainingCoefficientOfDetermination, new Literal(model.TrainingCoefficientOfDetermination)));
-      //statements.Add(new Statement(modelEntity, Ontology.ValidationCoefficientOfDetermination, new Literal(model.ValidationCoefficientOfDetermination)));
-      //statements.Add(new Statement(modelEntity, Ontology.TestCoefficientOfDetermination, new Literal(model.TestCoefficientOfDetermination)));
-      //statements.Add(new Statement(modelEntity, Ontology.TrainingVarianceAccountedFor, new Literal(model.TrainingVarianceAccountedFor)));
-      //statements.Add(new Statement(modelEntity, Ontology.ValidationVarianceAccountedFor, new Literal(model.ValidationVarianceAccountedFor)));
-      //statements.Add(new Statement(modelEntity, Ontology.TestVarianceAccountedFor, new Literal(model.TestVarianceAccountedFor)));
-      //statements.Add(new Statement(modelEntity, Ontology.TrainingMeanAbsolutePercentageError, new Literal(model.TrainingMeanAbsolutePercentageError)));
-      //statements.Add(new Statement(modelEntity, Ontology.ValidationMeanAbsolutePercentageError, new Literal(model.ValidationMeanAbsolutePercentageError)));
-      //statements.Add(new Statement(modelEntity, Ontology.TestMeanAbsolutePercentageError, new Literal(model.TestMeanAbsolutePercentageError)));
-      //statements.Add(new Statement(modelEntity, Ontology.TrainingMeanAbsolutePercentageOfRangeError, new Literal(model.TrainingMeanAbsolutePercentageOfRangeError)));
-      //statements.Add(new Statement(modelEntity, Ontology.ValidationMeanAbsolutePercentageOfRangeError, new Literal(model.ValidationMeanAbsolutePercentageOfRangeError)));
-      //statements.Add(new Statement(modelEntity, Ontology.TestMeanAbsolutePercentageOfRangeError, new Literal(model.TestMeanAbsolutePercentageOfRangeError)));
-
-      //for (int i = 0; i < finishedAlgorithm.Dataset.Columns; i++) {
-      //  try {
-      //    string variableName = finishedAlgorithm.Dataset.GetVariableName(i);
-      //    double qualImpact = model.GetVariableQualityImpact(variableName);
-      //    double evalImpact = model.GetVariableEvaluationImpact(variableName);
-
-      //    Entity inputVariableEntity = new Entity(Ontology.CedmaNameSpace + Guid.NewGuid());
-      //    statements.Add(new Statement(inputVariableEntity, Ontology.InstanceOf, Ontology.TypeVariableImpact));
-      //    statements.Add(new Statement(modelEntity, Ontology.HasInputVariable, inputVariableEntity));
-      //    statements.Add(new Statement(inputVariableEntity, Ontology.EvaluationImpact, new Literal(evalImpact)));
-      //    statements.Add(new Statement(inputVariableEntity, Ontology.QualityImpact, new Literal(qualImpact)));
-      //    statements.Add(new Statement(inputVariableEntity, Ontology.Name, new Literal(variableName)));
-      //  }
-      //  catch (ArgumentException) {
-      //    // ignore
-      //  }
-      //}
-
-      //byte[] serializedModel = PersistenceManager.SaveToGZip(model.Data);
-      //statements.Add(new Statement(modelEntity, Ontology.SerializedData, new Literal(Convert.ToBase64String(serializedModel))));
-      //store.AddRange(statements);
     }
 
Index: trunk/sources/HeuristicLab.CEDMA.Server/3.3/Problem.cs
===================================================================
--- trunk/sources/HeuristicLab.CEDMA.Server/3.3/Problem.cs	(revision 2223)
+++ trunk/sources/HeuristicLab.CEDMA.Server/3.3/Problem.cs	(revision 2238)
@@ -86,14 +86,4 @@
     }
 
-    //private List<int> allowedInputVariables;
-    //public List<int> AllowedInputVariables {
-    //  get { return allowedInputVariables; }
-    //}
-
-    //private List<int> allowedTargetVariables;
-    //public List<int> AllowedTargetVariables {
-    //  get { return allowedTargetVariables; }
-    //}
-
     private bool autoRegressive;
     public bool AutoRegressive {
@@ -122,6 +112,4 @@
     public Problem()
       : base() {
-      //allowedInputVariables = new List<int>();
-      //allowedTargetVariables = new List<int>();
       Dataset = new HeuristicLab.DataAnalysis.Dataset();
     }
Index: trunk/sources/HeuristicLab.CEDMA.Server/3.3/ProblemView.cs
===================================================================
--- trunk/sources/HeuristicLab.CEDMA.Server/3.3/ProblemView.cs	(revision 2223)
+++ trunk/sources/HeuristicLab.CEDMA.Server/3.3/ProblemView.cs	(revision 2238)
@@ -102,28 +102,9 @@
           problem.TestSamplesStart = parser.TestSamplesStart;
           problem.TestSamplesEnd = parser.TestSamplesEnd;
-          //problem.AllowedTargetVariables.Add(parser.TargetVariable);
           problem.FireChanged();
-          //List<int> nonInputVariables = parser.NonInputVariables;
-          //for (int i = 0; i < dataset.Columns; i++) {
-          //  if (!nonInputVariables.Contains(i)) problem.AllowedInputVariables.Add(i);
-          //}
           Refresh();
         }
       }
     }
-
-    //private void targetsListBox_ItemCheck(object sender, ItemCheckEventArgs e) {
-    //  if (e.NewValue == CheckState.Checked && !problem.AllowedTargetVariables.Contains(e.Index))
-    //    problem.AllowedTargetVariables.Add(e.Index);
-    //  else if (e.NewValue == CheckState.Unchecked && problem.AllowedTargetVariables.Contains(e.Index))
-    //    problem.AllowedTargetVariables.Remove(e.Index);
-    //}
-
-    //private void inputsListBox_ItemCheck(object sender, ItemCheckEventArgs e) {
-    //  if (e.NewValue == CheckState.Checked && !problem.AllowedInputVariables.Contains(e.Index))
-    //    problem.AllowedInputVariables.Add(e.Index);
-    //  else if (e.NewValue == CheckState.Unchecked && problem.AllowedInputVariables.Contains(e.Index))
-    //    problem.AllowedInputVariables.Remove(e.Index);
-    //}
 
     private void autoregressiveCheckBox_CheckedChanged(object sender, EventArgs e) {