Index: trunk/sources/HeuristicLab.MainForm/3.2/DockingMainForm.cs
===================================================================
--- trunk/sources/HeuristicLab.MainForm/3.2/DockingMainForm.cs	(revision 2255)
+++ trunk/sources/HeuristicLab.MainForm/3.2/DockingMainForm.cs	(revision 2256)
@@ -51,6 +51,6 @@
         content.Activated += new EventHandler(DockFormActivated);
         content.FormClosing += new FormClosingEventHandler(DockFormClosing);
-        foreach (IToolStripItem item in viewStateChangeToolStripItems)
-          view.StateChanged += new EventHandler(item.ViewStateChanged);
+        foreach (IToolStripItem item in ViewChangedToolStripItems)
+          view.StateChanged += new EventHandler(item.ViewChanged);
         content.Show(dockPanel);
       }
@@ -59,11 +59,11 @@
     private void DockFormClosing(object sender, FormClosingEventArgs e) {
       DockForm dockForm = (DockForm)sender;
-      openViews.Remove(dockForm.View);
-      if (openViews.Count == 0)
+      views.Remove(dockForm.View);
+      if (views.Count == 0)
         ActiveView = null;
       dockForm.Activated -= new EventHandler(DockFormActivated);
       dockForm.FormClosing -= new FormClosingEventHandler(DockFormClosing);
-      foreach (IToolStripItem item in viewStateChangeToolStripItems)
-        dockForm.View.StateChanged -= new EventHandler(item.ViewStateChanged);
+      foreach (IToolStripItem item in ViewChangedToolStripItems)
+        dockForm.View.StateChanged -= new EventHandler(item.ViewChanged);
     }
 
Index: trunk/sources/HeuristicLab.MainForm/3.2/HeuristicLab.MainForm-3.2.csproj
===================================================================
--- trunk/sources/HeuristicLab.MainForm/3.2/HeuristicLab.MainForm-3.2.csproj	(revision 2256)
+++ trunk/sources/HeuristicLab.MainForm/3.2/HeuristicLab.MainForm-3.2.csproj	(revision 2256)
@@ -0,0 +1,180 @@
+﻿<?xml version="1.0" encoding="utf-8"?>
+<Project ToolsVersion="3.5" DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
+  <PropertyGroup>
+    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
+    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
+    <ProductVersion>9.0.30729</ProductVersion>
+    <SchemaVersion>2.0</SchemaVersion>
+    <ProjectGuid>{3BD61258-31DA-4B09-89C0-4F71FEF5F05A}</ProjectGuid>
+    <OutputType>Library</OutputType>
+    <AppDesignerFolder>Properties</AppDesignerFolder>
+    <RootNamespace>HeuristicLab.MainForm</RootNamespace>
+    <AssemblyName>HeuristicLab.MainForm-3.2</AssemblyName>
+    <TargetFrameworkVersion>v3.5</TargetFrameworkVersion>
+    <FileAlignment>512</FileAlignment>
+    <SignAssembly>true</SignAssembly>
+    <AssemblyOriginatorKeyFile>HeuristicLab.snk</AssemblyOriginatorKeyFile>
+  </PropertyGroup>
+  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
+    <DebugSymbols>true</DebugSymbols>
+    <DebugType>full</DebugType>
+    <Optimize>false</Optimize>
+    <OutputPath>bin\Debug\</OutputPath>
+    <DefineConstants>DEBUG;TRACE</DefineConstants>
+    <ErrorReport>prompt</ErrorReport>
+    <WarningLevel>4</WarningLevel>
+  </PropertyGroup>
+  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
+    <DebugType>pdbonly</DebugType>
+    <Optimize>true</Optimize>
+    <OutputPath>bin\Release\</OutputPath>
+    <DefineConstants>TRACE</DefineConstants>
+    <ErrorReport>prompt</ErrorReport>
+    <WarningLevel>4</WarningLevel>
+  </PropertyGroup>
+  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|x64' ">
+    <DebugSymbols>true</DebugSymbols>
+    <OutputPath>bin\x64\Debug\</OutputPath>
+    <DefineConstants>DEBUG;TRACE</DefineConstants>
+    <DebugType>full</DebugType>
+    <PlatformTarget>x64</PlatformTarget>
+    <ErrorReport>prompt</ErrorReport>
+  </PropertyGroup>
+  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|x64' ">
+    <OutputPath>bin\x64\Release\</OutputPath>
+    <DefineConstants>TRACE</DefineConstants>
+    <Optimize>true</Optimize>
+    <DebugType>pdbonly</DebugType>
+    <PlatformTarget>x64</PlatformTarget>
+    <ErrorReport>prompt</ErrorReport>
+  </PropertyGroup>
+  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|x86' ">
+    <DebugSymbols>true</DebugSymbols>
+    <OutputPath>bin\x86\Debug\</OutputPath>
+    <DefineConstants>DEBUG;TRACE</DefineConstants>
+    <DebugType>full</DebugType>
+    <PlatformTarget>x86</PlatformTarget>
+    <ErrorReport>prompt</ErrorReport>
+  </PropertyGroup>
+  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|x86' ">
+    <OutputPath>bin\x86\Release\</OutputPath>
+    <DefineConstants>TRACE</DefineConstants>
+    <Optimize>true</Optimize>
+    <DebugType>pdbonly</DebugType>
+    <PlatformTarget>x86</PlatformTarget>
+    <ErrorReport>prompt</ErrorReport>
+  </PropertyGroup>
+  <ItemGroup>
+    <Reference Include="System" />
+    <Reference Include="System.Core">
+      <RequiredTargetFramework>3.5</RequiredTargetFramework>
+    </Reference>
+    <Reference Include="System.Drawing" />
+    <Reference Include="System.Windows.Forms" />
+    <Reference Include="System.Xml.Linq">
+      <RequiredTargetFramework>3.5</RequiredTargetFramework>
+    </Reference>
+    <Reference Include="System.Data.DataSetExtensions">
+      <RequiredTargetFramework>3.5</RequiredTargetFramework>
+    </Reference>
+    <Reference Include="System.Data" />
+    <Reference Include="System.Xml" />
+  </ItemGroup>
+  <ItemGroup>
+    <Compile Include="Interfaces\IUserInterfaceItem.cs" />
+    <Compile Include="MultipleDocumentMainForm.cs">
+      <SubType>Form</SubType>
+    </Compile>
+    <Compile Include="MultipleDocumentMainForm.Designer.cs">
+      <DependentUpon>MultipleDocumentMainForm.cs</DependentUpon>
+    </Compile>
+    <Compile Include="ToolStripMenuItemBase.cs" />
+    <Compile Include="ToolStripButtonItemBase.cs" />
+    <Compile Include="ToolStripItemBase.cs" />
+    <Compile Include="DockingMainForm.cs">
+      <SubType>Form</SubType>
+    </Compile>
+    <Compile Include="DockingMainForm.Designer.cs">
+      <DependentUpon>DockingMainForm.cs</DependentUpon>
+    </Compile>
+    <Compile Include="MainFormBase.cs">
+      <SubType>Form</SubType>
+    </Compile>
+    <Compile Include="MainFormBase.Designer.cs">
+      <DependentUpon>MainFormBase.cs</DependentUpon>
+    </Compile>
+    <Compile Include="HeuristicLabMainFormPlugin.cs" />
+    <Compile Include="Interfaces\IAction.cs" />
+    <Compile Include="Interfaces\IMainForm.cs" />
+    <Compile Include="Interfaces\IToolStripMenuItem.cs" />
+    <Compile Include="Interfaces\IToolStripButtonItem.cs" />
+    <Compile Include="Interfaces\IToolStripItem.cs" />
+    <Compile Include="Interfaces\IView.cs" />
+    <Compile Include="Properties\AssemblyInfo.cs" />
+    <Compile Include="UserInterfaceItemBase.cs" />
+    <Compile Include="ViewBase.cs">
+      <SubType>UserControl</SubType>
+    </Compile>
+    <Compile Include="ViewBase.Designer.cs">
+      <DependentUpon>ViewBase.cs</DependentUpon>
+    </Compile>
+    <Compile Include="DockForm.cs">
+      <SubType>Form</SubType>
+    </Compile>
+    <Compile Include="DockForm.Designer.cs">
+      <DependentUpon>DockForm.cs</DependentUpon>
+    </Compile>
+    <Compile Include="MultipleDocumentForm.cs">
+      <SubType>Form</SubType>
+    </Compile>
+    <Compile Include="MultipleDocumentForm.Designer.cs">
+      <DependentUpon>MultipleDocumentForm.cs</DependentUpon>
+    </Compile>
+  </ItemGroup>
+  <ItemGroup>
+    <ProjectReference Include="..\..\HeuristicLab.PluginInfrastructure\HeuristicLab.PluginInfrastructure.csproj">
+      <Project>{94186A6A-5176-4402-AE83-886557B53CCA}</Project>
+      <Name>HeuristicLab.PluginInfrastructure</Name>
+    </ProjectReference>
+    <ProjectReference Include="..\..\WinFormsUI\WinFormsUI.csproj">
+      <Project>{C75532C4-765B-418E-B09B-46D36B2ABDB1}</Project>
+      <Name>WinFormsUI</Name>
+    </ProjectReference>
+  </ItemGroup>
+  <ItemGroup>
+    <None Include="HeuristicLab.snk" />
+    <None Include="Properties\AssemblyInfo.frame" />
+  </ItemGroup>
+  <ItemGroup>
+    <EmbeddedResource Include="MainFormBase.resx">
+      <DependentUpon>MainFormBase.cs</DependentUpon>
+    </EmbeddedResource>
+    <EmbeddedResource Include="DockForm.resx">
+      <DependentUpon>DockForm.cs</DependentUpon>
+      <SubType>Designer</SubType>
+    </EmbeddedResource>
+    <EmbeddedResource Include="MultipleDocumentMainForm.resx">
+      <DependentUpon>MultipleDocumentMainForm.cs</DependentUpon>
+    </EmbeddedResource>
+    <EmbeddedResource Include="MultipleDocumentForm.resx">
+      <DependentUpon>MultipleDocumentForm.cs</DependentUpon>
+      <SubType>Designer</SubType>
+    </EmbeddedResource>
+  </ItemGroup>
+  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
+  <!-- To modify your build process, add your task inside one of the targets below and uncomment it. 
+       Other similar extension points exist, see Microsoft.Common.targets.
+  <Target Name="BeforeBuild">
+  </Target>
+  <Target Name="AfterBuild">
+  </Target>
+  -->
+  <PropertyGroup>
+    <PreBuildEvent>set Path=%25Path%25;$(ProjectDir);$(SolutionDir)
+set ProjectDir=$(ProjectDir)
+set SolutionDir=$(SolutionDir)
+set Outdir=$(Outdir)
+
+call PreBuildEvent.cmd</PreBuildEvent>
+  </PropertyGroup>
+</Project>
Index: trunk/sources/HeuristicLab.MainForm/3.2/HeuristicLab.MainForm.csproj
===================================================================
--- trunk/sources/HeuristicLab.MainForm/3.2/HeuristicLab.MainForm.csproj	(revision 2255)
+++ 	(revision )
@@ -1,181 +1,0 @@
-﻿<?xml version="1.0" encoding="utf-8"?>
-<Project ToolsVersion="3.5" DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
-  <PropertyGroup>
-    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
-    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
-    <ProductVersion>9.0.30729</ProductVersion>
-    <SchemaVersion>2.0</SchemaVersion>
-    <ProjectGuid>{3BD61258-31DA-4B09-89C0-4F71FEF5F05A}</ProjectGuid>
-    <OutputType>Library</OutputType>
-    <AppDesignerFolder>Properties</AppDesignerFolder>
-    <RootNamespace>HeuristicLab.MainForm</RootNamespace>
-    <AssemblyName>HeuristicLab.MainForm-3.2</AssemblyName>
-    <TargetFrameworkVersion>v3.5</TargetFrameworkVersion>
-    <FileAlignment>512</FileAlignment>
-    <SignAssembly>true</SignAssembly>
-    <AssemblyOriginatorKeyFile>HeuristicLab.snk</AssemblyOriginatorKeyFile>
-  </PropertyGroup>
-  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
-    <DebugSymbols>true</DebugSymbols>
-    <DebugType>full</DebugType>
-    <Optimize>false</Optimize>
-    <OutputPath>bin\Debug\</OutputPath>
-    <DefineConstants>DEBUG;TRACE</DefineConstants>
-    <ErrorReport>prompt</ErrorReport>
-    <WarningLevel>4</WarningLevel>
-  </PropertyGroup>
-  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
-    <DebugType>pdbonly</DebugType>
-    <Optimize>true</Optimize>
-    <OutputPath>bin\Release\</OutputPath>
-    <DefineConstants>TRACE</DefineConstants>
-    <ErrorReport>prompt</ErrorReport>
-    <WarningLevel>4</WarningLevel>
-  </PropertyGroup>
-  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|x64' ">
-    <DebugSymbols>true</DebugSymbols>
-    <OutputPath>bin\x64\Debug\</OutputPath>
-    <DefineConstants>DEBUG;TRACE</DefineConstants>
-    <DebugType>full</DebugType>
-    <PlatformTarget>x64</PlatformTarget>
-    <ErrorReport>prompt</ErrorReport>
-  </PropertyGroup>
-  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|x64' ">
-    <OutputPath>bin\x64\Release\</OutputPath>
-    <DefineConstants>TRACE</DefineConstants>
-    <Optimize>true</Optimize>
-    <DebugType>pdbonly</DebugType>
-    <PlatformTarget>x64</PlatformTarget>
-    <ErrorReport>prompt</ErrorReport>
-  </PropertyGroup>
-  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|x86' ">
-    <DebugSymbols>true</DebugSymbols>
-    <OutputPath>bin\x86\Debug\</OutputPath>
-    <DefineConstants>DEBUG;TRACE</DefineConstants>
-    <DebugType>full</DebugType>
-    <PlatformTarget>x86</PlatformTarget>
-    <ErrorReport>prompt</ErrorReport>
-  </PropertyGroup>
-  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|x86' ">
-    <OutputPath>bin\x86\Release\</OutputPath>
-    <DefineConstants>TRACE</DefineConstants>
-    <Optimize>true</Optimize>
-    <DebugType>pdbonly</DebugType>
-    <PlatformTarget>x86</PlatformTarget>
-    <ErrorReport>prompt</ErrorReport>
-  </PropertyGroup>
-  <ItemGroup>
-    <Reference Include="System" />
-    <Reference Include="System.Core">
-      <RequiredTargetFramework>3.5</RequiredTargetFramework>
-    </Reference>
-    <Reference Include="System.Drawing" />
-    <Reference Include="System.Windows.Forms" />
-    <Reference Include="System.Xml.Linq">
-      <RequiredTargetFramework>3.5</RequiredTargetFramework>
-    </Reference>
-    <Reference Include="System.Data.DataSetExtensions">
-      <RequiredTargetFramework>3.5</RequiredTargetFramework>
-    </Reference>
-    <Reference Include="System.Data" />
-    <Reference Include="System.Xml" />
-  </ItemGroup>
-  <ItemGroup>
-    <Compile Include="Interfaces\IUserInterfaceItem.cs" />
-    <Compile Include="MultipleDocumentMainForm.cs">
-      <SubType>Form</SubType>
-    </Compile>
-    <Compile Include="MultipleDocumentMainForm.Designer.cs">
-      <DependentUpon>MultipleDocumentMainForm.cs</DependentUpon>
-    </Compile>
-    <Compile Include="ToolStripMenuItemBase.cs" />
-    <Compile Include="ToolStripButtonItemBase.cs" />
-    <Compile Include="ToolStripItemBase.cs" />
-    <Compile Include="DockingMainForm.cs">
-      <SubType>Form</SubType>
-    </Compile>
-    <Compile Include="DockingMainForm.Designer.cs">
-      <DependentUpon>DockingMainForm.cs</DependentUpon>
-    </Compile>
-    <Compile Include="MainFormBase.cs">
-      <SubType>Form</SubType>
-    </Compile>
-    <Compile Include="MainFormBase.Designer.cs">
-      <DependentUpon>MainFormBase.cs</DependentUpon>
-    </Compile>
-    <Compile Include="HeuristicLabMainFormPlugin.cs" />
-    <Compile Include="Interfaces\IAction.cs" />
-    <Compile Include="Interfaces\IMainForm.cs" />
-    <Compile Include="Interfaces\IToolStripMenuItem.cs" />
-    <Compile Include="Interfaces\IModel.cs" />
-    <Compile Include="Interfaces\IToolStripButtonItem.cs" />
-    <Compile Include="Interfaces\IToolStripItem.cs" />
-    <Compile Include="Interfaces\IView.cs" />
-    <Compile Include="Properties\AssemblyInfo.cs" />
-    <Compile Include="UserInterfaceItemBase.cs" />
-    <Compile Include="ViewBase.cs">
-      <SubType>UserControl</SubType>
-    </Compile>
-    <Compile Include="ViewBase.Designer.cs">
-      <DependentUpon>ViewBase.cs</DependentUpon>
-    </Compile>
-    <Compile Include="DockForm.cs">
-      <SubType>Form</SubType>
-    </Compile>
-    <Compile Include="DockForm.Designer.cs">
-      <DependentUpon>DockForm.cs</DependentUpon>
-    </Compile>
-    <Compile Include="MultipleDocumentForm.cs">
-      <SubType>Form</SubType>
-    </Compile>
-    <Compile Include="MultipleDocumentForm.Designer.cs">
-      <DependentUpon>MultipleDocumentForm.cs</DependentUpon>
-    </Compile>
-  </ItemGroup>
-  <ItemGroup>
-    <ProjectReference Include="..\..\HeuristicLab.PluginInfrastructure\HeuristicLab.PluginInfrastructure.csproj">
-      <Project>{94186A6A-5176-4402-AE83-886557B53CCA}</Project>
-      <Name>HeuristicLab.PluginInfrastructure</Name>
-    </ProjectReference>
-    <ProjectReference Include="..\..\WinFormsUI\WinFormsUI.csproj">
-      <Project>{C75532C4-765B-418E-B09B-46D36B2ABDB1}</Project>
-      <Name>WinFormsUI</Name>
-    </ProjectReference>
-  </ItemGroup>
-  <ItemGroup>
-    <None Include="HeuristicLab.snk" />
-    <None Include="Properties\AssemblyInfo.frame" />
-  </ItemGroup>
-  <ItemGroup>
-    <EmbeddedResource Include="MainFormBase.resx">
-      <DependentUpon>MainFormBase.cs</DependentUpon>
-    </EmbeddedResource>
-    <EmbeddedResource Include="DockForm.resx">
-      <DependentUpon>DockForm.cs</DependentUpon>
-      <SubType>Designer</SubType>
-    </EmbeddedResource>
-    <EmbeddedResource Include="MultipleDocumentMainForm.resx">
-      <DependentUpon>MultipleDocumentMainForm.cs</DependentUpon>
-    </EmbeddedResource>
-    <EmbeddedResource Include="MultipleDocumentForm.resx">
-      <DependentUpon>MultipleDocumentForm.cs</DependentUpon>
-      <SubType>Designer</SubType>
-    </EmbeddedResource>
-  </ItemGroup>
-  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
-  <!-- To modify your build process, add your task inside one of the targets below and uncomment it. 
-       Other similar extension points exist, see Microsoft.Common.targets.
-  <Target Name="BeforeBuild">
-  </Target>
-  <Target Name="AfterBuild">
-  </Target>
-  -->
-  <PropertyGroup>
-    <PreBuildEvent>set Path=%25Path%25;$(ProjectDir);$(SolutionDir)
-set ProjectDir=$(ProjectDir)
-set SolutionDir=$(SolutionDir)
-set Outdir=$(Outdir)
-
-call PreBuildEvent.cmd</PreBuildEvent>
-  </PropertyGroup>
-</Project>
Index: trunk/sources/HeuristicLab.MainForm/3.2/Interfaces/IMainForm.cs
===================================================================
--- trunk/sources/HeuristicLab.MainForm/3.2/Interfaces/IMainForm.cs	(revision 2255)
+++ trunk/sources/HeuristicLab.MainForm/3.2/Interfaces/IMainForm.cs	(revision 2256)
@@ -34,9 +34,9 @@
     IView ActiveView { get; }
     event EventHandler ActiveViewChanged;
-    IEnumerable<IView> OpenViews { get; }
+    IEnumerable<IView> Views { get; }
 
     Type UserInterfaceItemType { get; }
     void ShowView(IView view);
-    void CloseForm();
+    void Close();
   }
 }
Index: trunk/sources/HeuristicLab.MainForm/3.2/Interfaces/IModel.cs
===================================================================
--- trunk/sources/HeuristicLab.MainForm/3.2/Interfaces/IModel.cs	(revision 2255)
+++ 	(revision )
@@ -1,30 +1,0 @@
-﻿#region License Information
-/* HeuristicLab
- * Copyright (C) 2002-2008 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
- *
- * This file is part of HeuristicLab.
- *
- * HeuristicLab is free software: you can redistribute it and/or modify
- * it under the terms of the GNU General Public License as published by
- * the Free Software Foundation, either version 3 of the License, or
- * (at your option) any later version.
- *
- * HeuristicLab is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
- */
-#endregion
-
-using System;
-using System.Collections.Generic;
-using System.Linq;
-using System.Text;
-
-namespace HeuristicLab.MainForm {
-  public interface IModel {
-  }
-}
Index: trunk/sources/HeuristicLab.MainForm/3.2/Interfaces/IToolStripItem.cs
===================================================================
--- trunk/sources/HeuristicLab.MainForm/3.2/Interfaces/IToolStripItem.cs	(revision 2255)
+++ trunk/sources/HeuristicLab.MainForm/3.2/Interfaces/IToolStripItem.cs	(revision 2256)
@@ -39,7 +39,7 @@
 
     bool ListenActiveViewChanged { get; }
-    bool ListenViewStateChanged { get; }
+    bool ListenViewChanged { get; }
     void ActiveViewChanged(object sender, EventArgs e);
-    void ViewStateChanged(object sender, EventArgs e);
+    void ViewChanged(object sender, EventArgs e);
   }
 }
Index: trunk/sources/HeuristicLab.MainForm/3.2/MainFormBase.cs
===================================================================
--- trunk/sources/HeuristicLab.MainForm/3.2/MainFormBase.cs	(revision 2255)
+++ trunk/sources/HeuristicLab.MainForm/3.2/MainFormBase.cs	(revision 2256)
@@ -36,6 +36,6 @@
       : base() {
       InitializeComponent();
-      openViews = new List<IView>();
-      viewStateChangeToolStripItems = new List<IToolStripItem>();
+      views = new List<IView>();
+      viewChangeToolStripItems = new List<IToolStripItem>();
       this.userInterfaceItemType = userInterfaceItemType;
       CreateGUI();
@@ -46,15 +46,28 @@
     public string Title {
       get { return this.Text; }
-      set { this.Text = value; }
+      set {
+        if (InvokeRequired) {
+          Action<string> action = delegate(string s) { this.Title = s; };
+          Invoke(action, new object[] { value });
+        } else
+          this.Text = value;
+      }
     }
 
     public string StatusStripText {
       get { return this.statusStripLabel.Text; }
-      set { this.statusStripLabel.Text = value; }
+      set {
+        if (InvokeRequired) {
+          Action<string> action = delegate(string s) { this.statusStripLabel.Text = s; };
+          Invoke(action, new object[] { value });
+        } else
+          this.statusStripLabel.Text = value;
+      }
     }
 
-    protected Type userInterfaceItemType;
+    private Type userInterfaceItemType;
     public Type UserInterfaceItemType {
       get { return this.userInterfaceItemType; }
+      protected set { this.userInterfaceItemType = value; }
     }
 
@@ -70,25 +83,24 @@
     }
 
-    protected List<IToolStripItem> viewStateChangeToolStripItems;
+    private List<IToolStripItem> viewChangeToolStripItems;
+    protected IEnumerable<IToolStripItem> ViewChangedToolStripItems {
+      get { return this.viewChangeToolStripItems; }
+    }
 
     public event EventHandler ActiveViewChanged;
     protected virtual void OnActiveViewChanged() {
-      if(ActiveViewChanged != null)
-        ActiveViewChanged(this,new EventArgs());
+      if (ActiveViewChanged != null)
+        ActiveViewChanged(this, new EventArgs());
     }
 
-    protected List<IView> openViews;
-    public IEnumerable<IView> OpenViews {
-      get { return openViews; }
+    protected List<IView> views;
+    public IEnumerable<IView> Views {
+      get { return views; }
     }
 
     public virtual void ShowView(IView view) {
-      view.MainForm = this;     
-      openViews.Add(view);
+      view.MainForm = this;
+      views.Add(view);
       ActiveView = view;
-    }
-
-    public void CloseForm() {
-      this.Close();
     }
     #endregion
@@ -160,6 +172,6 @@
       if (iToolStripItem.ListenActiveViewChanged)
         this.ActiveViewChanged += new EventHandler(iToolStripItem.ActiveViewChanged);
-      if (iToolStripItem.ListenViewStateChanged)
-        this.viewStateChangeToolStripItems.Add(iToolStripItem);
+      if (iToolStripItem.ListenViewChanged)
+        this.viewChangeToolStripItems.Add(iToolStripItem);
       toolStripItem.Click += new EventHandler(ToolStripItemClicked);
       iToolStripItem.ToolStripItem = toolStripItem;
Index: trunk/sources/HeuristicLab.MainForm/3.2/MultipleDocumentMainForm.cs
===================================================================
--- trunk/sources/HeuristicLab.MainForm/3.2/MultipleDocumentMainForm.cs	(revision 2255)
+++ trunk/sources/HeuristicLab.MainForm/3.2/MultipleDocumentMainForm.cs	(revision 2256)
@@ -24,6 +24,6 @@
         form.FormClosing += new FormClosingEventHandler(MultipleDocumentFormClosing);
         form.MdiParent = this;
-        foreach (IToolStripItem item in viewStateChangeToolStripItems)
-          view.StateChanged += new EventHandler(item.ViewStateChanged);
+        foreach (IToolStripItem item in ViewChangedToolStripItems)
+          view.StateChanged += new EventHandler(item.ViewChanged);
         form.Show();
       }
@@ -37,11 +37,11 @@
     private void MultipleDocumentFormClosing(object sender, FormClosingEventArgs e) {
       MultipleDocumentForm form = (MultipleDocumentForm)sender;
-      openViews.Remove(form.View);
-      if (openViews.Count == 0)
+      views.Remove(form.View);
+      if (views.Count == 0)
         ActiveView = null;
       form.Activated -= new EventHandler(MultipleDocumentFormActivated);
       form.FormClosing -= new FormClosingEventHandler(MultipleDocumentFormClosing);
-      foreach (IToolStripItem item in viewStateChangeToolStripItems)
-        form.View.StateChanged -= new EventHandler(item.ViewStateChanged);
+      foreach (IToolStripItem item in ViewChangedToolStripItems)
+        form.View.StateChanged -= new EventHandler(item.ViewChanged);
     }
   }
Index: trunk/sources/HeuristicLab.MainForm/3.2/ToolStripButtonItemBase.cs
===================================================================
--- trunk/sources/HeuristicLab.MainForm/3.2/ToolStripButtonItemBase.cs	(revision 2255)
+++ trunk/sources/HeuristicLab.MainForm/3.2/ToolStripButtonItemBase.cs	(revision 2256)
@@ -33,5 +33,5 @@
           return ToolStripItemDisplayStyle.Image;
         else
-          return ToolStripItemDisplayStyle.ImageAndText;
+          return ToolStripItemDisplayStyle.Text;
       }
     }
Index: trunk/sources/HeuristicLab.MainForm/3.2/ToolStripItemBase.cs
===================================================================
--- trunk/sources/HeuristicLab.MainForm/3.2/ToolStripItemBase.cs	(revision 2255)
+++ trunk/sources/HeuristicLab.MainForm/3.2/ToolStripItemBase.cs	(revision 2256)
@@ -51,6 +51,6 @@
     }
 
-    public static readonly char structureSeparator = '/';
-    public char StructureSeparator {
+    private static readonly char structureSeparator = '/';
+    public virtual char StructureSeparator {
       get { return ToolStripMenuItemBase.structureSeparator; }
     }
@@ -59,5 +59,5 @@
       get { return false; }
     }
-    public virtual bool ListenViewStateChanged {
+    public virtual bool ListenViewChanged {
       get { return false; }
     }
@@ -66,5 +66,5 @@
     }
 
-    public virtual void ViewStateChanged(object sender, EventArgs e) {
+    public virtual void ViewChanged(object sender, EventArgs e) {
     }
     #endregion
Index: trunk/sources/HeuristicLab.MainForm/3.2/ToolStripMenuItemBase.cs
===================================================================
--- trunk/sources/HeuristicLab.MainForm/3.2/ToolStripMenuItemBase.cs	(revision 2255)
+++ trunk/sources/HeuristicLab.MainForm/3.2/ToolStripMenuItemBase.cs	(revision 2256)
@@ -33,5 +33,5 @@
 
     public override ToolStripItemDisplayStyle DisplayStyle {
-      get { return ToolStripItemDisplayStyle.ImageAndText; }
+      get { return ToolStripItemDisplayStyle.Text; }
     }
   }