Index: branches/CEDMA-Exporter-715/tools/CedmaExporter/CedmaExporter.csproj
===================================================================
--- branches/CEDMA-Exporter-715/tools/CedmaExporter/CedmaExporter.csproj	(revision 2232)
+++ branches/CEDMA-Exporter-715/tools/CedmaExporter/CedmaExporter.csproj	(revision 2262)
@@ -31,44 +31,64 @@
     <WarningLevel>4</WarningLevel>
   </PropertyGroup>
+  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|x86' ">
+    <DebugSymbols>true</DebugSymbols>
+    <OutputPath>bin\x86\Debug\</OutputPath>
+    <DefineConstants>DEBUG;TRACE</DefineConstants>
+    <DebugType>full</DebugType>
+    <PlatformTarget>x86</PlatformTarget>
+    <ErrorReport>prompt</ErrorReport>
+  </PropertyGroup>
+  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|x86' ">
+    <OutputPath>bin\x86\Release\</OutputPath>
+    <DefineConstants>TRACE</DefineConstants>
+    <Optimize>true</Optimize>
+    <DebugType>pdbonly</DebugType>
+    <PlatformTarget>x86</PlatformTarget>
+    <ErrorReport>prompt</ErrorReport>
+  </PropertyGroup>
   <ItemGroup>
-    <Reference Include="HeuristicLab.CEDMA.Core-3.3, Version=3.3.0.2146, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL">
+    <Reference Include="HeuristicLab.CEDMA.Core-3.3, Version=3.3.0.2146, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=x86">
       <SpecificVersion>False</SpecificVersion>
-      <HintPath>..\..\sources\HeuristicLab\bin\Debug\plugins\HeuristicLab.CEDMA.Core-3.3.dll</HintPath>
+      <HintPath>..\..\sources\HeuristicLab\bin\x86\Release\plugins\HeuristicLab.CEDMA.Core-3.3.dll</HintPath>
     </Reference>
-    <Reference Include="HeuristicLab.Core-3.2, Version=3.2.0.2143, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL">
+    <Reference Include="HeuristicLab.Core-3.2, Version=3.2.0.2143, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=x86">
       <SpecificVersion>False</SpecificVersion>
-      <HintPath>..\..\..\..\..\Program Files\HeuristicLab 3.0\plugins\HeuristicLab.Core-3.2.dll</HintPath>
+      <HintPath>..\..\sources\HeuristicLab\bin\x86\Release\plugins\HeuristicLab.Core-3.2.dll</HintPath>
     </Reference>
-    <Reference Include="HeuristicLab.Data-3.2, Version=3.2.0.1609, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL">
+    <Reference Include="HeuristicLab.DataAnalysis-3.2, Version=3.2.0.2162, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=x86">
       <SpecificVersion>False</SpecificVersion>
-      <HintPath>..\..\sources\HeuristicLab\bin\Debug\plugins\HeuristicLab.Data-3.2.dll</HintPath>
+      <HintPath>..\..\sources\HeuristicLab\bin\x86\Release\plugins\HeuristicLab.DataAnalysis-3.2.dll</HintPath>
     </Reference>
-    <Reference Include="HeuristicLab.DataAnalysis-3.2, Version=3.2.0.2162, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL">
+    <Reference Include="HeuristicLab.GP-3.3, Version=3.3.0.1534, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=x86">
       <SpecificVersion>False</SpecificVersion>
-      <HintPath>..\..\sources\HeuristicLab.DataAnalysis\3.2\bin\Debug\HeuristicLab.DataAnalysis-3.2.dll</HintPath>
+      <HintPath>..\..\sources\HeuristicLab\bin\x86\Release\plugins\HeuristicLab.GP-3.3.dll</HintPath>
     </Reference>
-    <Reference Include="HeuristicLab.GP-3.3, Version=3.3.0.1534, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL">
+    <Reference Include="HeuristicLab.GP.StructureIdentification-3.3, Version=3.3.0.2161, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=x86">
       <SpecificVersion>False</SpecificVersion>
-      <HintPath>..\..\..\..\..\Program Files\HeuristicLab 3.0\plugins\HeuristicLab.GP-3.3.dll</HintPath>
+      <HintPath>..\..\sources\HeuristicLab\bin\x86\Release\plugins\HeuristicLab.GP.StructureIdentification-3.3.dll</HintPath>
     </Reference>
-    <Reference Include="HeuristicLab.GP.StructureIdentification-3.3, Version=3.3.0.2161, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL">
+    <Reference Include="HeuristicLab.Modeling-3.2, Version=3.2.0.2162, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=x86">
       <SpecificVersion>False</SpecificVersion>
-      <HintPath>..\..\..\..\..\Program Files\HeuristicLab 3.0\plugins\HeuristicLab.GP.StructureIdentification-3.3.dll</HintPath>
+      <HintPath>..\..\sources\HeuristicLab\bin\x86\Release\plugins\HeuristicLab.Modeling-3.2.dll</HintPath>
     </Reference>
-    <Reference Include="HeuristicLab.SupportVectorMachines-3.2, Version=3.2.0.2163, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL">
+    <Reference Include="HeuristicLab.PluginInfrastructure, Version=3.2.0.1990, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=x86">
       <SpecificVersion>False</SpecificVersion>
-      <HintPath>..\..\..\..\..\Program Files\HeuristicLab 3.0\plugins\HeuristicLab.SupportVectorMachines-3.2.dll</HintPath>
+      <HintPath>..\..\sources\HeuristicLab\bin\x86\Release\HeuristicLab.PluginInfrastructure.dll</HintPath>
     </Reference>
-    <Reference Include="LibSVM, Version=2.84.0.0, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL">
+    <Reference Include="HeuristicLab.SupportVectorMachines-3.2, Version=3.2.0.2163, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=x86">
       <SpecificVersion>False</SpecificVersion>
-      <HintPath>..\..\..\..\..\Program Files\HeuristicLab 3.0\plugins\LibSVM.dll</HintPath>
+      <HintPath>..\..\sources\HeuristicLab\bin\x86\Release\plugins\HeuristicLab.SupportVectorMachines-3.2.dll</HintPath>
+    </Reference>
+    <Reference Include="LibSVM, Version=2.84.0.0, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=x86">
+      <SpecificVersion>False</SpecificVersion>
+      <HintPath>..\..\sources\HeuristicLab\bin\x86\Release\plugins\LibSVM.dll</HintPath>
     </Reference>
     <Reference Include="SemWeb, Version=0.0.0.0, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL">
       <SpecificVersion>False</SpecificVersion>
-      <HintPath>..\..\..\..\..\Program Files\HeuristicLab 3.0\plugins\SemWeb.dll</HintPath>
+      <HintPath>..\..\sources\HeuristicLab\bin\x86\Release\plugins\SemWeb.dll</HintPath>
     </Reference>
     <Reference Include="SemWeb.SqliteStore, Version=1.0.0.0, Culture=neutral, processorArchitecture=MSIL">
       <SpecificVersion>False</SpecificVersion>
-      <HintPath>..\..\..\..\..\Program Files\HeuristicLab 3.0\plugins\SemWeb.SqliteStore.dll</HintPath>
+      <HintPath>..\..\sources\HeuristicLab\bin\x86\Release\plugins\SemWeb.SqliteStore.dll</HintPath>
     </Reference>
     <Reference Include="System" />
Index: branches/CEDMA-Exporter-715/tools/CedmaExporter/SymbolicExpressionExporter.cs
===================================================================
--- branches/CEDMA-Exporter-715/tools/CedmaExporter/SymbolicExpressionExporter.cs	(revision 2232)
+++ branches/CEDMA-Exporter-715/tools/CedmaExporter/SymbolicExpressionExporter.cs	(revision 2262)
@@ -71,5 +71,5 @@
         BuildExportString(subTree);
       }
-      if(tree.SubTrees.Count > 0) builder.Append(")");
+      builder.Append(")");
       currentIndent = currentIndent.Remove(0, 2);
     }
@@ -181,10 +181,10 @@
 
     public static string ExportToScheme(this Variable variable, IFunctionTree tree, Dataset ds) {
-      return "(variable " + tree.GetLocalVariable(Variable.WEIGHT).Value + " " +
-        ds.GetVariableName(int.Parse(tree.GetLocalVariable(Variable.INDEX).Value.ToString())) + " " + tree.GetLocalVariable(Variable.OFFSET).Value + ")";
+      return "variable " + tree.GetLocalVariable(Variable.WEIGHT).Value + " " +
+        ds.GetVariableName(int.Parse(tree.GetLocalVariable(Variable.INDEX).Value.ToString())) + " " + tree.GetLocalVariable(Variable.OFFSET).Value;
     }
     public static string ExportToScheme(this Differential differential, IFunctionTree tree, Dataset ds) {
-      return "(differential " + tree.GetLocalVariable(Differential.WEIGHT).Value + " " +
-        ds.GetVariableName(int.Parse(tree.GetLocalVariable(Differential.INDEX).Value.ToString())) + " " + tree.GetLocalVariable(Differential.OFFSET).Value + ")";
+      return "differential " + tree.GetLocalVariable(Differential.WEIGHT).Value + " " +
+        ds.GetVariableName(int.Parse(tree.GetLocalVariable(Differential.INDEX).Value.ToString())) + " " + tree.GetLocalVariable(Differential.OFFSET).Value;
     }
 
Index: branches/CEDMA-Exporter-715/tools/ConfigMerger/ConfigMerger.csproj
===================================================================
--- branches/CEDMA-Exporter-715/tools/ConfigMerger/ConfigMerger.csproj	(revision 2232)
+++ branches/CEDMA-Exporter-715/tools/ConfigMerger/ConfigMerger.csproj	(revision 2262)
@@ -34,4 +34,21 @@
     <WarningLevel>4</WarningLevel>
     <DocumentationFile>bin\Release\ConfigMerger.XML</DocumentationFile>
+  </PropertyGroup>
+  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|x86' ">
+    <DebugSymbols>true</DebugSymbols>
+    <OutputPath>bin\x86\Debug\</OutputPath>
+    <DefineConstants>DEBUG;TRACE</DefineConstants>
+    <DebugType>full</DebugType>
+    <PlatformTarget>x86</PlatformTarget>
+    <ErrorReport>prompt</ErrorReport>
+  </PropertyGroup>
+  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|x86' ">
+    <OutputPath>bin\x86\Release\</OutputPath>
+    <DefineConstants>TRACE</DefineConstants>
+    <DocumentationFile>bin\Release\ConfigMerger.XML</DocumentationFile>
+    <Optimize>true</Optimize>
+    <DebugType>pdbonly</DebugType>
+    <PlatformTarget>x86</PlatformTarget>
+    <ErrorReport>prompt</ErrorReport>
   </PropertyGroup>
   <ItemGroup>
Index: branches/CEDMA-Exporter-715/tools/Tools.sln
===================================================================
--- branches/CEDMA-Exporter-715/tools/Tools.sln	(revision 2232)
+++ branches/CEDMA-Exporter-715/tools/Tools.sln	(revision 2262)
@@ -17,19 +17,33 @@
 	GlobalSection(SolutionConfigurationPlatforms) = preSolution
 		Debug|Any CPU = Debug|Any CPU
+		Debug|x86 = Debug|x86
 		Release|Any CPU = Release|Any CPU
+		Release|x86 = Release|x86
 	EndGlobalSection
 	GlobalSection(ProjectConfigurationPlatforms) = postSolution
 		{E94C5E71-3F29-408D-BCDF-23E096CA84CA}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{E94C5E71-3F29-408D-BCDF-23E096CA84CA}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{E94C5E71-3F29-408D-BCDF-23E096CA84CA}.Debug|x86.ActiveCfg = Debug|x86
+		{E94C5E71-3F29-408D-BCDF-23E096CA84CA}.Debug|x86.Build.0 = Debug|x86
 		{E94C5E71-3F29-408D-BCDF-23E096CA84CA}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{E94C5E71-3F29-408D-BCDF-23E096CA84CA}.Release|Any CPU.Build.0 = Release|Any CPU
+		{E94C5E71-3F29-408D-BCDF-23E096CA84CA}.Release|x86.ActiveCfg = Release|Any CPU
+		{E94C5E71-3F29-408D-BCDF-23E096CA84CA}.Release|x86.Build.0 = Release|Any CPU
 		{1E4B971A-83BA-4C39-BE19-D09B13CF7242}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{1E4B971A-83BA-4C39-BE19-D09B13CF7242}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{1E4B971A-83BA-4C39-BE19-D09B13CF7242}.Debug|x86.ActiveCfg = Debug|x86
+		{1E4B971A-83BA-4C39-BE19-D09B13CF7242}.Debug|x86.Build.0 = Debug|x86
 		{1E4B971A-83BA-4C39-BE19-D09B13CF7242}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{1E4B971A-83BA-4C39-BE19-D09B13CF7242}.Release|Any CPU.Build.0 = Release|Any CPU
+		{1E4B971A-83BA-4C39-BE19-D09B13CF7242}.Release|x86.ActiveCfg = Release|Any CPU
+		{1E4B971A-83BA-4C39-BE19-D09B13CF7242}.Release|x86.Build.0 = Release|Any CPU
 		{59334706-3386-4823-AF9B-B33CD793BA71}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{59334706-3386-4823-AF9B-B33CD793BA71}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{59334706-3386-4823-AF9B-B33CD793BA71}.Debug|x86.ActiveCfg = Debug|x86
+		{59334706-3386-4823-AF9B-B33CD793BA71}.Debug|x86.Build.0 = Debug|x86
 		{59334706-3386-4823-AF9B-B33CD793BA71}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{59334706-3386-4823-AF9B-B33CD793BA71}.Release|Any CPU.Build.0 = Release|Any CPU
+		{59334706-3386-4823-AF9B-B33CD793BA71}.Release|x86.ActiveCfg = Release|Any CPU
+		{59334706-3386-4823-AF9B-B33CD793BA71}.Release|x86.Build.0 = Release|Any CPU
 	EndGlobalSection
 	GlobalSection(SolutionProperties) = preSolution
Index: branches/CEDMA-Exporter-715/tools/Wizards/Wizards.csproj
===================================================================
--- branches/CEDMA-Exporter-715/tools/Wizards/Wizards.csproj	(revision 2232)
+++ branches/CEDMA-Exporter-715/tools/Wizards/Wizards.csproj	(revision 2262)
@@ -32,4 +32,20 @@
     <ErrorReport>prompt</ErrorReport>
     <WarningLevel>4</WarningLevel>
+  </PropertyGroup>
+  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|x86' ">
+    <DebugSymbols>true</DebugSymbols>
+    <OutputPath>bin\x86\Debug\</OutputPath>
+    <DefineConstants>DEBUG;TRACE</DefineConstants>
+    <DebugType>full</DebugType>
+    <PlatformTarget>x86</PlatformTarget>
+    <ErrorReport>prompt</ErrorReport>
+  </PropertyGroup>
+  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|x86' ">
+    <OutputPath>bin\x86\Release\</OutputPath>
+    <DefineConstants>TRACE</DefineConstants>
+    <Optimize>true</Optimize>
+    <DebugType>pdbonly</DebugType>
+    <PlatformTarget>x86</PlatformTarget>
+    <ErrorReport>prompt</ErrorReport>
   </PropertyGroup>
   <ItemGroup>