Index: /trunk/sources/HeuristicLab.GP.StructureIdentification/3.3/SymbolicExpressionExporter.cs
===================================================================
--- /trunk/sources/HeuristicLab.GP.StructureIdentification/3.3/SymbolicExpressionExporter.cs	(revision 2263)
+++ /trunk/sources/HeuristicLab.GP.StructureIdentification/3.3/SymbolicExpressionExporter.cs	(revision 2264)
@@ -48,5 +48,6 @@
         exported = Export(tree);
         return true;
-      } catch(UnknownFunctionException) {
+      }
+      catch (UnknownFunctionException) {
         exported = "";
         return false;
@@ -58,9 +59,9 @@
       builder.Append("(" + ExportFunction(tree.Function, tree) + " ");
       currentIndent += "  ";
-      foreach(IFunctionTree subTree in tree.SubTrees) {
+      foreach (IFunctionTree subTree in tree.SubTrees) {
         builder.Append("\n");
         BuildExportString(subTree);
       }
-      if(tree.SubTrees.Count > 0) builder.Append(")");
+      builder.Append(")");
       currentIndent = currentIndent.Remove(0, 2);
     }
@@ -69,28 +70,28 @@
       // this is smelly, if there is a cleaner way to have a 'dynamic' visitor 
       // please let me know! (gkronber 14.10.2008)
-      if(function is Addition) return ((Addition)function).ExportToScheme();
-      if(function is And) return ((And)function).ExportToScheme();
-      if(function is Average) return ((Average)function).ExportToScheme();
-      if(function is Constant) return ((Constant)function).ExportToScheme(tree);
-      if(function is Cosinus) return ((Cosinus)function).ExportToScheme();
-      if(function is Differential) return ((Differential)function).ExportToScheme(tree);
-      if(function is Division) return ((Division)function).ExportToScheme();
-      if(function is Equal) return ((Equal)function).ExportToScheme();
-      if(function is Exponential) return ((Exponential)function).ExportToScheme();
-      if(function is GreaterThan) return ((GreaterThan)function).ExportToScheme();
-      if(function is IfThenElse) return ((IfThenElse)function).ExportToScheme();
-      if(function is LessThan) return ((LessThan)function).ExportToScheme();
-      if(function is Logarithm) return ((Logarithm)function).ExportToScheme();
-      if(function is Multiplication) return ((Multiplication)function).ExportToScheme();
-      if(function is Not) return ((Not)function).ExportToScheme();
-      if(function is Or) return ((Or)function).ExportToScheme();
-      if(function is Power) return ((Power)function).ExportToScheme();
-      if(function is Signum) return ((Signum)function).ExportToScheme();
-      if(function is Sinus) return ((Sinus)function).ExportToScheme();
-      if(function is Sqrt) return ((Sqrt)function).ExportToScheme();
-      if(function is Subtraction) return ((Subtraction)function).ExportToScheme();
-      if(function is Tangens) return ((Tangens)function).ExportToScheme();
-      if(function is Variable) return ((Variable)function).ExportToScheme(tree);
-      if(function is Xor) return ((Xor)function).ExportToScheme();
+      if (function is Addition) return ((Addition)function).ExportToScheme();
+      if (function is And) return ((And)function).ExportToScheme();
+      if (function is Average) return ((Average)function).ExportToScheme();
+      if (function is Constant) return ((Constant)function).ExportToScheme(tree);
+      if (function is Cosinus) return ((Cosinus)function).ExportToScheme();
+      if (function is Differential) return ((Differential)function).ExportToScheme(tree);
+      if (function is Division) return ((Division)function).ExportToScheme();
+      if (function is Equal) return ((Equal)function).ExportToScheme();
+      if (function is Exponential) return ((Exponential)function).ExportToScheme();
+      if (function is GreaterThan) return ((GreaterThan)function).ExportToScheme();
+      if (function is IfThenElse) return ((IfThenElse)function).ExportToScheme();
+      if (function is LessThan) return ((LessThan)function).ExportToScheme();
+      if (function is Logarithm) return ((Logarithm)function).ExportToScheme();
+      if (function is Multiplication) return ((Multiplication)function).ExportToScheme();
+      if (function is Not) return ((Not)function).ExportToScheme();
+      if (function is Or) return ((Or)function).ExportToScheme();
+      if (function is Power) return ((Power)function).ExportToScheme();
+      if (function is Signum) return ((Signum)function).ExportToScheme();
+      if (function is Sinus) return ((Sinus)function).ExportToScheme();
+      if (function is Sqrt) return ((Sqrt)function).ExportToScheme();
+      if (function is Subtraction) return ((Subtraction)function).ExportToScheme();
+      if (function is Tangens) return ((Tangens)function).ExportToScheme();
+      if (function is Variable) return ((Variable)function).ExportToScheme(tree);
+      if (function is Xor) return ((Xor)function).ExportToScheme();
       throw new UnknownFunctionException(function.Name);
     }
@@ -109,8 +110,4 @@
       return name;
     }
-
-    //public string GetName(IFunctionTree tree) {
-    //  return SymbolicExpressionExporter.GetName(tree);
-    //}
   }
 
@@ -170,11 +167,11 @@
     public static string ExportToScheme(this Variable variable, IFunctionTree tree) {
       var varTree = (VariableFunctionTree)tree;
-      return "(variable " + varTree.Weight.ToString("r") + " " +
-        varTree.VariableName + " " + varTree.SampleOffset + ")";
+      return "variable " + varTree.Weight.ToString("r") + " " +
+        varTree.VariableName + " " + varTree.SampleOffset;
     }
     public static string ExportToScheme(this Differential differential, IFunctionTree tree) {
       var varTree = (VariableFunctionTree)tree;
-      return "(differential " + varTree.Weight.ToString("r") + " " +
-        varTree.VariableName + " " + varTree.SampleOffset + ")";
+      return "differential " + varTree.Weight.ToString("r") + " " +
+        varTree.VariableName + " " + varTree.SampleOffset;
     }
 