Index: trunk/sources/HeuristicLab.MainForm/3.2/DockingMainForm.cs
===================================================================
--- trunk/sources/HeuristicLab.MainForm/3.2/DockingMainForm.cs	(revision 2256)
+++ trunk/sources/HeuristicLab.MainForm/3.2/DockingMainForm.cs	(revision 2266)
@@ -48,14 +48,15 @@
       else {
         base.ShowView(view);
-        DockContent content = new DockForm(view);
-        content.Activated += new EventHandler(DockFormActivated);
-        content.FormClosing += new FormClosingEventHandler(DockFormClosing);
+        DockContent dockForm = new DockForm(view);
+        dockForm.Activated += new EventHandler(DockFormActivated);
+        dockForm.FormClosing += new FormClosingEventHandler(view.FormClosing);
+        dockForm.FormClosed += new FormClosedEventHandler(DockFormClosed);
         foreach (IToolStripItem item in ViewChangedToolStripItems)
           view.StateChanged += new EventHandler(item.ViewChanged);
-        content.Show(dockPanel);
+        dockForm.Show(dockPanel);
       }
     }
 
-    private void DockFormClosing(object sender, FormClosingEventArgs e) {
+    private void DockFormClosed(object sender, FormClosedEventArgs e) {
       DockForm dockForm = (DockForm)sender;
       views.Remove(dockForm.View);
@@ -63,5 +64,6 @@
         ActiveView = null;
       dockForm.Activated -= new EventHandler(DockFormActivated);
-      dockForm.FormClosing -= new FormClosingEventHandler(DockFormClosing);
+      dockForm.FormClosing -= new FormClosingEventHandler(dockForm.View.FormClosing);
+      dockForm.FormClosed -= new FormClosedEventHandler(DockFormClosed);
       foreach (IToolStripItem item in ViewChangedToolStripItems)
         dockForm.View.StateChanged -= new EventHandler(item.ViewChanged);
Index: trunk/sources/HeuristicLab.MainForm/3.2/Interfaces/IView.cs
===================================================================
--- trunk/sources/HeuristicLab.MainForm/3.2/Interfaces/IView.cs	(revision 2256)
+++ trunk/sources/HeuristicLab.MainForm/3.2/Interfaces/IView.cs	(revision 2266)
@@ -23,4 +23,5 @@
 using System.Collections.Generic;
 using System.Text;
+using System.Windows.Forms;
 
 namespace HeuristicLab.MainForm {
@@ -30,4 +31,5 @@
     event EventHandler StateChanged;
     IMainForm MainForm { get; set; }
+    void FormClosing(object sender, FormClosingEventArgs e);
   }
 }
Index: trunk/sources/HeuristicLab.MainForm/3.2/MultipleDocumentMainForm.cs
===================================================================
--- trunk/sources/HeuristicLab.MainForm/3.2/MultipleDocumentMainForm.cs	(revision 2256)
+++ trunk/sources/HeuristicLab.MainForm/3.2/MultipleDocumentMainForm.cs	(revision 2266)
@@ -22,5 +22,6 @@
         MultipleDocumentForm form = new MultipleDocumentForm(view);
         form.Activated += new EventHandler(MultipleDocumentFormActivated);
-        form.FormClosing += new FormClosingEventHandler(MultipleDocumentFormClosing);
+        form.FormClosing += new FormClosingEventHandler(view.FormClosing);
+        form.FormClosed += new FormClosedEventHandler(MultipleDocumentFormClosed);
         form.MdiParent = this;
         foreach (IToolStripItem item in ViewChangedToolStripItems)
@@ -35,5 +36,5 @@
     }
 
-    private void MultipleDocumentFormClosing(object sender, FormClosingEventArgs e) {
+    private void MultipleDocumentFormClosed(object sender, FormClosedEventArgs e) {
       MultipleDocumentForm form = (MultipleDocumentForm)sender;
       views.Remove(form.View);
@@ -41,5 +42,6 @@
         ActiveView = null;
       form.Activated -= new EventHandler(MultipleDocumentFormActivated);
-      form.FormClosing -= new FormClosingEventHandler(MultipleDocumentFormClosing);
+      form.FormClosing -= new FormClosingEventHandler(form.View.FormClosing);
+      form.FormClosed -= new FormClosedEventHandler(MultipleDocumentFormClosed);
       foreach (IToolStripItem item in ViewChangedToolStripItems)
         form.View.StateChanged -= new EventHandler(item.ViewChanged);
Index: trunk/sources/HeuristicLab.MainForm/3.2/ViewBase.cs
===================================================================
--- trunk/sources/HeuristicLab.MainForm/3.2/ViewBase.cs	(revision 2256)
+++ trunk/sources/HeuristicLab.MainForm/3.2/ViewBase.cs	(revision 2266)
@@ -68,4 +68,7 @@
       set { this.mainForm = value; }
     }
+
+    public virtual void FormClosing(object sender, FormClosingEventArgs e) {
+    }
   }
 }